

import { request, METHOD, } from '@/utils/request'

//获取协议列表
export async function getTaskStatistics(data) {
    return request("/taskStatistics/queryPage", METHOD.POST, data)
}
//获取保险公司列表
export async function getCompanyList(data) {
    return request("/taskStatistics/insuranceCompanyQueryPage", METHOD.POST, data)
}
//获取代理人列表
export async function getAgentList(data) {
    return request("/taskStatistics/agentStatisticsQueryPage", METHOD.POST, data)
}
//导出渠道数据
export async function exportChannelList(data) {
    return request("/taskStatistics/channelExcel", METHOD.POST, data,
        {
            responseType: 'blob'
        }
    )
}
//导出代理人数据
export async function exportAgentlList(data) {
    return request("/taskStatistics/agentExcel", METHOD.POST, data,
        {
            responseType: 'blob'
        }
    )
}

//导出保险公司数据
export async function exportInsurancelList(data) {
    return request("/taskStatistics/insuranceCompanyExcel", METHOD.POST, data,
        {
            responseType: 'blob'
        }
    )
}
//渠道代理人详情
export async function getChannelAgentDetails(data) {
    return request("/taskStatistics/channelAgentDetails", METHOD.POST, data,

    )
}






export default {
    getTaskStatistics,
    getCompanyList,
    getAgentList,
    exportChannelList,
    exportAgentlList,
    exportInsurancelList,
    getChannelAgentDetails
}
